#ifndef KYSEC_ERROR_H__
#define KYSEC_ERROR_H__

#define KYSEC_ERR_OBJ_LEN   256
#define KYSEC_ERR_MSG_LEN   1024

typedef struct kysec_error
{
    int err_no;
    char err_obj[KYSEC_ERR_OBJ_LEN];
    char err_msg[KYSEC_ERR_MSG_LEN];
}kysec_error;

#define KYLIN_KYSEC_OK                      0               //无错误
#define KYLIN_KYSEC_AUTH_FAILED             501               //认证失败
#define KYLIN_KYSEC_CANCEL_AUTH             502               //取消认证
#define KYLIN_KYSEC_DISABLED                503               //KYSEC未启动
#define KYLIN_KYSEC_DATABASE_ERR            504               //数据库错误
#define KYLIN_KYSEC_LABEL_GET_ERR           505               //获取KYSEC标记失败
#define KYLIN_KYSEC_LABEL_SET_ERR           506               //设置KYSEC标记失败
#define KYLIN_KYSEC_INVALID_ARG             507               //参数错误
#define KYLIN_KYSEC_EXTRACT_LIST_ERR        508               //获取列表失败
#define KYLIN_KYSEC_FILE_ATTR_ERR           509               //文件属性异常
#define KYLIN_KYSEC_CONF_ERR	            510               //读写安全状态配置文件失败
#define KYLIN_KYSEC_OTHER_ERR               511               //其他错误
#define KYLIN_KYSEC_NETCTL_ERR              512               //读写网络管控配置文件失败

#ifdef __cplusplus
extern "C" {
#endif

extern void kysec_set_error(int err_no, char *err_obj, char *format, ...);
extern kysec_error *kysec_get_error();

#ifdef __cplusplus
}
#endif

#endif // ! KYSEC_ERROR_H__
